@ECHO OFF
set maxbytesize=52428800
set minfps=5
set maxfps=15
CHOICE /M "Press A for top screen or B for bottom screen" /C:ab
IF ERRORLEVEL 2 GOTO bot
IF ERRORLEVEL 1 GOTO top

:top
cls
set /p fps="What do you want your framerate to be, any number between 5 and 15:"
	if /I %fps% LSS %minfps% (
		echo "Please pick a number greater than 5"
		Pause >nul
		GOTO top  )
	if /I %fps% GTR %maxfps%	(
			echo "Please pick a number lower than 15"
			Pause >nul
			GOTO top )
cls
set filename=anim
ffmpeg -i %1 -s 400x240 input_resized.gif
ffmpeg -i "input_resized.gif" -r %fps% -pix_fmt bgr24 -vf "transpose=1" output.rgb
rename output.rgb anim
del input_resized.gif
for %%A in (%filename%) do (
    echo Size of "%%A" is %%~zA bytes 
    if %%~zA GTR %maxbytesize% (
        cls
	echo "Your file exceeds the 50mb size limit, try a different gif(Preferably shorter)."
	del anim
	pause >nul
	exit
    ) else (
	exit
    )
)

:bot
cls
set /p fps="What do you want your framerate to be, any number between 5 and 15:"
	if /I %fps% LSS %minfps% (
		echo "Please pick a number greater than 5"
		Pause >nul
		GOTO top  )
	if /I %fps% GTR %maxfps%	(
			echo "Please pick a number lower than 15"
			Pause >nul
			GOTO top )
cls
set "filename=bottom_anim"
ffmpeg -i %1 -s 320x240 Botinput_resized.gif
ffmpeg -i "botinput_resized.gif" -r %fps% -pix_fmt bgr24 -vf "transpose=1" bot_output.rgb
rename bot_output.rgb bottom_anim
del Botinput_resized.gif
for %%A in (%filename%) do (
    echo Size of "%%A" is %%~zA bytes 
    if %%~zA GTR %maxbytesize% (
        cls
	echo "Your file exceeds the 50mb size limit, try a different gif(Preferably shorter)."
	del bottom_anim
	pause >nul
	exit
    ) else (
	exit
    )
)
